
Infrastructure - Bug #2443

attempt to create with bad request returns non-dataone error on GMN

2012-03-06 04:04 - Dave Vieglais

Status: Closed Start date: 2012-03-06

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Calling create() with a bad request causes GMN to return a Django error rather than the expected DataONE exception.

e.g.:

curl -k -X POST "https://gmn-dev.dataone.org/mn/v1/object"

Related issues:

Related to Infrastructure - Bug #2445: gmn-dev returning html instead of data... Closed 2012-03-06

History

#1 - 2012-03-16 02:33 - Dave Vieglais

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

- Position set to 2

#2 - 2012-03-28 03:11 - Roger Dahl

- Status changed from New to Closed
